%{?nodejs_find_provides_and_requires}

# tests disabled due to missing npm(ava)
%global enable_tests 0

Name:       nodejs-pretty-bytes
Version:    4.0.2
Release:    %mkrel 3
Summary:    Convert bytes to a human readable string
License:    MIT
Group:      Development/Other
URL:        https://github.com/sindresorhus/pretty-bytes
Source0:    https://registry.npmjs.org/pretty-bytes/-/pretty-bytes-%{version}.tgz
Source1:    https://raw.githubusercontent.com/sindresorhus/pretty-bytes/v%{version}/test.js

BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(number-is-nan)

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pretty-bytes
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/pretty-bytes

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/pretty-bytes/cli.js \
    %{buildroot}%{_bindir}/pretty-bytes

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license license
%doc readme.md
%{nodejs_sitelib}/pretty-bytes
%{_bindir}/pretty-bytes




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.0.2-3.mga10
+ Revision: 2211269
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 4.0.2-2.mga9
+ Revision: 1826874
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 4.0.2-1.mga8
+ Revision: 1592495
- update to 4.0.2

* Tue May 05 2020 joequant <joequant> 3.0.1-5.mga8
+ Revision: 1580626
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.1-4.mga8
+ Revision: 1492623
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1265147
- Mageia 7 Mass Rebuild

* Tue Feb 21 2017 neoclust <neoclust> 3.0.1-2.mga6
+ Revision: 1087109
- imported package nodejs-pretty-bytes


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 08 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.1-1
- Update to upstream 3.0.1 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
